Skip to main content
GET
/
v2
/
users
List
curl --request GET \
  --url https://api.incident.io/v2/users \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.incident.io/v2/users"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.incident.io/v2/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  },
  "users": [
    {
      "base_role": {
        "description": "Elevated permissions for the customer success team.",
        "id": "01FCNDV6P870EA6S7TK1DSYDG0",
        "name": "Customer Success",
        "slug": "customer-success"
      },
      "custom_roles": [
        {
          "description": "Elevated permissions for the customer success team.",
          "id": "01FCNDV6P870EA6S7TK1DSYDG0",
          "name": "Customer Success",
          "slug": "customer-success"
        }
      ],
      "email": "lisa@incident.io",
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Lisa Karlin Curtis",
      "role": "owner",
      "seats": {
        "on_call": "full_access",
        "response": "viewer_only"
      },
      "slack_user_id": "U02AYNF2XJM"
    }
  ]
}
🔑 Requires the users.view scope.

Authorizations

Authorization
string
header
required

API key from your incident.io dashboard (Settings → API keys)

Query Parameters

email
string

Filter by email address

Example:

"john.doe@incident.io"

slack_user_id
string

Filter by Slack user ID

Example:

"U12345678"

page_size
integer<int64>
default:25

Integer number of records to return

Required range: x <= 10000
Example:

25

after
string

An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.

Example:

"01FDAG4SAP5TYPT98WGR2N7W91"

Response

200 - application/json

OK response.

pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}
users
object[]
required
Example:
[
{
"base_role": {
"description": "Elevated permissions for the customer success team.",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Customer Success",
"slug": "customer-success"
},
"custom_roles": [
{
"description": "Elevated permissions for the customer success team.",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Customer Success",
"slug": "customer-success"
}
],
"email": "lisa@incident.io",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Lisa Karlin Curtis",
"role": "owner",
"seats": {
"on_call": "full_access",
"response": "viewer_only"
},
"slack_user_id": "U02AYNF2XJM"
}
]